org.apache.xmpbox.type

## Class VersionType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.type.VersionType

    public class VersionType
    extends AbstractStructuredType

### Field Summary

Fields
`static String` `COMMENTS`
`static String` `EVENT`
`static String` `MODIFIER`
`static String` `MODIFY_DATE`
`static String` `VERSION`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`VersionType(XMPMetadata metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getComments()`
`ResourceEventType` `getEvent()`
`String` `getModifier()`
`Calendar` `getModifyDate()`
`String` `getVersion()`
`void` `setComments(String value)`
`void` `setEvent(ResourceEventType value)`
`void` `setModifier(String value)`
`void` `setModifyDate(Calendar value)`
`void` `setVersion(String value)`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COMMENTS

    public static final String COMMENTS

See Also:
  Constant Field Values

#### EVENT

    public static final String EVENT

See Also:
  Constant Field Values

#### MODIFIER

    public static final String MODIFIER

See Also:
  Constant Field Values

#### MODIFY_DATE

    public static final String MODIFY_DATE

See Also:
  Constant Field Values

#### VERSION

    public static final String VERSION

See Also:
  Constant Field Values

### Constructor Detail

#### VersionType

    public VersionType(XMPMetadata metadata)

Parameters:
  `metadata` - The metadata to attach to this property

### Method Detail

#### getComments

    public String getComments()

#### setComments

    public void setComments(String value)

#### getEvent

    public ResourceEventType getEvent()

#### setEvent

    public void setEvent(ResourceEventType value)

#### getModifyDate

    public Calendar getModifyDate()

#### setModifyDate

    public void setModifyDate(Calendar value)

#### getVersion

    public String getVersion()

#### setVersion

    public void setVersion(String value)

#### getModifier

    public String getModifier()

#### setModifier

    public void setModifier(String value)